Bug 435660 - Console can't display logs.
Console can't display logs.
Status: CLOSED NEXTRELEASE
Product: 389
Classification: Community
Component: Directory Console (Show other bugs)
1.1.0
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-02 23:29 EST by Frank Delahoyde
Modified: 2015-01-04 18:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 16:02:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Delahoyde 2008-03-02 23:29:44 EST
Description of problem:

Can't display either directory or admin server log files.

Version-Release number of selected component (if applicable):

fedora-ds-console-1.1.0-5.fc6
fedora-ds-base-1.1.0-3.fc6
fedora-admin-console-1.1.0-4.fc6
fedora-idm-console-1.1.0-5.fc6
fedora-ds-1.1.0-3.fc6
fedora-ds-admin-1.1.1-1.fc6


How reproducible:

Every time. This worked in 1.0.4.

Steps to Reproduce:

1. Install fedora-ds on x86_64
2. Start the console and view the logs in either directory or admin console.
3.
  
Actual results:

None.

Expected results:

Logs displayed.

Additional info:

Servers report in their error logs:

[Sun Mar 02 20:12:16 2008] [error] [client 132.239.92.136] Premature end of
script headers: viewlog

every time you click the refresh button for the log.
The permissions on the log files are correct.
Comment 1 Rich Megginson 2008-03-03 11:47:39 EST
What OS is this?  CentOS or RHEL 5.1?
Comment 2 Frank Delahoyde 2008-03-03 12:17:36 EST
CentOS-5.1 x86_64.
Comment 3 Rich Megginson 2008-07-02 15:45:00 EDT
Have you upgraded to the latest fedora-ds-admin?  rpm -qi fedora-ds-admin
What version of adminutil are you using?  rpm -qi adminutil
Comment 4 Frank Delahoyde 2008-07-03 14:21:32 EDT
(In reply to comment #3)

Yes, I've upgraded both fedora-ds-admin and adminutil. Still can't
display the logs.

> Have you upgraded to the latest fedora-ds-admin?  rpm -qi fedora-ds-admin

Name        : fedora-ds-admin              Relocations: (not relocatable)
Version     : 1.1.2                             Vendor: (none)
Release     : 2.fc6                         Build Date: Thu 20 Mar 2008 02:54:34
PM GMT

> What version of adminutil are you using?  rpm -qi adminutil

Name        : adminutil                    Relocations: (not relocatable)
Version     : 1.1.5                             Vendor: Fedora Project
Release     : 1.fc6                         Build Date: Thu 18 Oct 2007 04:54:30
PM GMT

Comment 5 Rich Megginson 2008-07-07 20:23:52 EDT
Are you using SSL at all?
Does it matter if you attempt to view the admin server logs or the directory
server logs?
Does it matter if you specify a filter?
Comment 6 Rich Megginson 2008-07-08 16:06:40 EDT
Can you attach an excerpt from the admin server access log
/var/log/dirsrv/admin-serv/access showing the request?  It will have viewlog or
ViewLog or Viewlog in the request URI.
Comment 7 Rich Megginson 2008-12-19 19:32:13 EST
ping
Comment 8 Rich Megginson 2009-03-25 16:02:52 EDT
This should be fixed in the next release.

Note You need to log in before you can comment on or make changes to this bug.